Уголок новичка
   447

VLCplayer, SMPlayer,MVPlayer не воспроизводят видео файлы

Здравствуйте. Пару дней назад установил Manjaro XFCE 64bit. Вообще с Линуксом первый раз имею дело. Решил попробовать что-то новое от виндоус. Так вот, я в программировании не силен, но как пользователь вроде не глуп. Проблема (воде банальная) в следующем: видео файлы с HDD не воспроизводятся плейерами. VLC при попытке открыть файл тут же закрывается, SMPlayer и MVPlayer звук воспроизводит, но вместо изображения синий экран. Причем это со всеми файлами различного формата (avi, mkv, flv, и тд и тп). Установил Dragon player, этот все воспроизводит. Конечно, можно было бы и забить, но все-таки, если решение данной трудности? Спасибо.

22 комментария

avatar
Очень странно, обычно vlc воспроизводит даже битые файлы, которые никакой другой плеер не играет, а что говорит например команда
vlc filename

где filename воспроизводимый файл
пакет ffmpeg установлен?
?
Отправка специалистом технической поддержки ссылки на руководство по эксплуатации и другую документацию, не является отказом в предоставлении поддержки.
bash.org
0
avatar
lspci | grep -i vga — вывод команды

Аналогичная проблема обсуждается
0
avatar
~]$ lspci | grep -i vga
00:01.0 VGA compatible controller: Advanced Micro Devices, Inc. [AMD/ATI] Trinity [Radeon HD 7560D]
0
avatar
VLC нужны дополнительные компоненты (QT, libvdpau), так как даже интерфейс не запускается.
Драйвер на видео у вас свободный или проприетарный?

P.S. вас уже спрашивали выше, пакет ffmpeg установлен?
0
avatar
VLC запускается, аудиофайлы воспроизводит. Видеофайл пытается запустить и закрывается. Драйвер видеокарты проприетарный. Как узнать про пакет ffmpeg и установить доп компоненты QT, libvdpau, а то я немного не догоняю как в этой системе что делается.
Последний раз редактировалось
0
avatar
установить доп компоненты QT, libvdpau
sudo pacman -S libvdpau lib32-libvdpau qt4
?
Отправка специалистом технической поддержки ссылки на руководство по эксплуатации и другую документацию, не является отказом в предоставлении поддержки.
bash.org
0
avatar
предупреждение: libvdpau-1.1.1+3+ga21bf7a-1 не устарел — переустанавливается
предупреждение: lib32-libvdpau-1.1.1-3 не устарел — переустанавливается
разрешение зависимостей…
проверка конфликтов…

Пакеты (3) lib32-libvdpau-1.1.1-3 libvdpau-1.1.1+3+ga21bf7a-1 qt4-4.8.7-26

Будет загружено: 21,30 MiB
Будет установлено: 86,46 MiB
Изменение размера: 86,11 MiB

:: Приступить к установке? [Y/n] y
:: Получение пакетов…
libvdpau-1.1.1+3+ga… 54,7 KiB 4,11M/s 00:00 [######################] 100%
qt4-4.8.7-26-x86_64 21,2 MiB 5,58M/s 00:04 [######################] 100%
lib32-libvdpau-1.1… 20,7 KiB 0,00B/s 00:00 [######################] 100%
(3/3) проверка ключей [######################] 100%
(3/3) проверка целостности пакета [######################] 100%
(3/3) загрузка файлов пакетов [######################] 100%
(3/3) проверка конфликтов файлов [######################] 100%
(3/3) проверка доступного места [######################] 100%
:: Обработка изменений пакета…
(1/3) переустановка libvdpau [######################] 100%
(2/3) переустановка lib32-libvdpau [######################] 100%
(3/3) установка qt4 [######################] 100%
Дополнительные зависимости для 'qt4'
postgresql-libs: PostgreSQL driver
libmariadbclient: MariaDB driver
unixodbc: ODBC driver
libfbclient: Firebird/iBase driver
libxinerama: Xinerama support [установлено]
libxcursor: Xcursor support [установлено]
libxfixes: Xfixes support [установлено]
icu: Unicode support [установлено]
sni-qt: StatusNotifierItem (AppIndicators) support
:: Запуск post-transaction hooks…
(1/3) Updating icon theme caches…
(2/3) Arming ConditionNeedsUpdate…
(3/3) Updating the desktop file MIME type cache…
установил, но ничего не изменилось
0
avatar
а дай вывод команды
ls /usr/lib/vdpau/ | grep libvdpau_nvidia
?
Отправка специалистом технической поддержки ссылки на руководство по эксплуатации и другую документацию, не является отказом в предоставлении поддержки.
bash.org
0
avatar
]$ ls /usr/lib/vdpau/
libvdpau_trace.so libvdpau_trace.so.1 libvdpau_trace.so.1.0.0

]$ grep libvdpau_nvidia — на этой команде терминал зависает

ls /usr/lib/vdpau/ | grep libvdpau_nvidia — если целиком, то ничего не выдает
0
avatar
ls /usr/lib/vdpau/ | grep libvdpau_nvidia — если целиком, то ничего не выдает
Логично, дело в том, что у вас драйвер АМД, а проигрыватель этого почему-то не понимает и требует нвидиа, на англофоруме нашел частичное решение, попробуйте доустановить пакет libvdpau-va-gl
sudo pacman -S  libvdpau-va-gl

ЗЫ. попробуйте переустановить видеодрайвер, или попробуйте как ведут себя плееры на открытом драйвере

ЗЗЫ. Еще попробуйте перед запуском vlc ввести эти две команды, что-нибудь изменится?
export VDPAU_DRIVER=radeonsi
export LIBVA_DRIVER_NAME=radeonsi
Последний раз редактировалось
?
Отправка специалистом технической поддержки ссылки на руководство по эксплуатации и другую документацию, не является отказом в предоставлении поддержки.
bash.org
0
avatar
установил, ничего не изменилось.
0
avatar
ну, поток моих идей исчерпан(у меня не амд, поэтому даже повторить у себя такую ошибку не могу), сорян, обратись в сообщество в телеграм чатике t.me/manjarolinux, возможно там кто чего подскажет
Последний раз редактировалось
?
Отправка специалистом технической поддержки ссылки на руководство по эксплуатации и другую документацию, не является отказом в предоставлении поддержки.
bash.org
0
avatar
еще посмотрите, что у вас здесь, поиграйтесь с вариантами
?
Отправка специалистом технической поддержки ссылки на руководство по эксплуатации и другую документацию, не является отказом в предоставлении поддержки.
bash.org
0
avatar
Спасибо. Буду развлекаться пока не надоест.
0
avatar
qt4
Они ж на пятые культи переехали.
0
avatar
Они ж на пятые культи переехали.
разве? я не обратил внимания, по старой памяти просто знаю что vlc не хотел работать без qt4 вот и написал, а по сути пятые, я думаю, у ТС`а и так стояли)
?
Отправка специалистом технической поддержки ссылки на руководство по эксплуатации и другую документацию, не является отказом в предоставлении поддержки.
bash.org
0
avatar
Драйвер видеокарты проприетарный
На свободных все отлично, зачем было ставить для амд.
+1
avatar
на зпрос в теримнале по ffmpeg:
ffmpeg version n4.1 Copyright © 2000-2018 the FFmpeg developers
built with gcc 8.2.1 (GCC) 20180831
configuration: --prefix=/usr --disable-debug --disable-static --disable-stripping --enable-fontconfig --enable-gmp --enable-gnutls --enable-gpl --enable-ladspa --enable-libaom --enable-libass --enable-libbluray --enable-libdrm --enable-libfreetype --enable-libfribidi --enable-libgsm --enable-libiec61883 --enable-libjack --enable-libmodplug --enable-libmp3lame --enable-libopencore_amrnb --enable-libopencore_amrwb --enable-libopenjpeg --enable-libopus --enable-libpulse --enable-libsoxr --enable-libspeex --enable-libssh --enable-libtheora --enable-libv4l2 --enable-libvidstab --enable-libvorbis --enable-libvpx --enable-libwebp --enable-libx264 --enable-libx265 --enable-libxcb --enable-libxml2 --enable-libxvid --enable-nvdec --enable-nvenc --enable-omx --enable-shared --enable-version3
libavutil 56. 22.100 / 56. 22.100
libavcodec 58. 35.100 / 58. 35.100
libavformat 58. 20.100 / 58. 20.100
libavdevice 58. 5.100 / 58. 5.100
libavfilter 7. 40.101 / 7. 40.101
libswscale 5. 3.100 / 5. 3.100
libswresample 3. 3.100 / 3. 3.100
libpostproc 55. 3.100 / 55. 3.100
Hyper fast Audio and Video encoder
usage: ffmpeg [options] [[infile options] -i infile]… {[outfile options] outfile}…
0
avatar
в /etc/environment прописать LIBVA_DRIVER_NAME=fglrx
в плеере выбрать VAAPI, если драйвер Catalyst
ну и тут почитать wiki.archlinux.org/index.php/AMD_Catalyst#Video_acceleration
Последний раз редактировалось
0
avatar
На свободном ни чего не нужно, плееры определяют сами. Разве что для браузера можно по копаться.И на свободном работает как vdpau, так и vaapi в плеерах.
Последний раз редактировалось
0
avatar
This. Пусть всякие нвидики с проприетарным драйвером развлекаются. Свободный АМДшный драйвер отлично работает.
Последний раз редактировалось
0
Только зарегистрированные и авторизованные пользователи могут оставлять комментарии.